Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler
Interface Closure

public interface Closure

Method Summary
`void` | `addVariable(org.apache.xalan.xsltc.compiler.VariableRefBase variableRef)` Add new variable to the closure.
`java.lang.String` | `getInnerClassName()` Returns the name of the auxiliary class or null if this predicate is compiled inside the Translet.
`Closure` | `getParentClosure()` Returns a reference to its parent closure or null if outermost.
`boolean` | `inInnerClass()` Returns true if this closure is compiled in an inner class (i.e.

Method Detail

### inInnerClass

    public boolean inInnerClass()

  Returns true if this closure is compiled in an inner class (i.e. if this is a real closure).

### getParentClosure

    public Closure getParentClosure()

  Returns a reference to its parent closure or null if outermost.

### getInnerClassName

    public java.lang.String getInnerClassName()

  Returns the name of the auxiliary class or null if this predicate is compiled inside the Translet.

### addVariable

    public void addVariable(org.apache.xalan.xsltc.compiler.VariableRefBase variableRef)

  Add new variable to the closure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.